## org.exist.xmldb.test.concurrent.action
Class AttributeUpdateAction

    java.lang.Object
      org.exist.xmldb.test.concurrent.action.Action
          org.exist.xmldb.test.concurrent.action.RemoveAppendAction
              org.exist.xmldb.test.concurrent.action.AttributeUpdateAction

public class AttributeUpdateAction
extends RemoveAppendAction

Author:
  wolf

Constructor Summary
`AttributeUpdateAction(java.lang.String collectionPath, java.lang.String resourceName, java.lang.String[] wordList)`

Method Summary
`boolean` `execute()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeUpdateAction

    public AttributeUpdateAction(java.lang.String collectionPath,
                                 java.lang.String resourceName,
                                 java.lang.String[] wordList)

Parameters:
  `collectionPath` -
  `resourceName` -

Method Detail

### execute

    public boolean execute()
                    throws java.lang.Exception

  Overrides:
    `execute` in class `RemoveAppendAction`
  Throws:
    `java.lang.Exception`

Copyright (C) Wolfgang Meier. All rights reserved.